Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ACE_Task_Flags Class Reference

These flags are used within the ACE_Task. More...

`#include <Task.h>`

List of all members.

## Public Types
enum | { ACE_READER = 01, ACE_FLUSHDATA = 02, ACE_FLUSHALL = 04, ACE_FLUSHR = 010, ACE_FLUSHW = 020, ACE_FLUSHRW = 030 }

## Detailed Description

These flags are used within the ACE_Task.

These flags should be hidden within ACE_Task. Unfortunately, the HP/UX C++ compiler can't grok this... Fortunately, there's no code defined here, so we don't have to worry about multiple definitions.

## Member Enumeration Documentation

anonymous enum

  | Enumeration values:
  ACE_READER | Identifies a Task as being the "reader" in a Module.
  ACE_FLUSHDATA | Just flush data messages in the queue.
  ACE_FLUSHALL | Flush all messages in the Queue.
  ACE_FLUSHR | Flush read queue.
  ACE_FLUSHW | Flush write queue.
  ACE_FLUSHRW | Flush both queues.

The documentation for this class was generated from the following file:

- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Task.h